Backups & Dropbox Integration

Please note:Onlyadminusers can access the Settings tabs described below. If you do not see the Settings tab when logging in that means you do not have admin-level access.

Hosting Requirement: Your hosting account must have PHP 5.3.1 or greater installed for the Dropbox Integration feature to be available.

After you've logged into Armadillo's online interface and navigated to the Settings tab, click on the plus sign ( + ) next to the section labeledDropbox Integration.

Armadillo Backups

Armadillo has a backup feature which is accessed from the Settings tab, near the bottom of the page. If your hosting account is compatible with Armadillo's backup functionality, then you will see a "Backup Now" link (or similar). Use this link to create a backup of your site's content. Please note, only the content you have created in Armadillo will be saved. Media files (like images and video) are not saved in this backup.

When a previous backup has already been made, information about the latest backup will be displayed, and will look something like this:

9236

The backup file is stored on your hosting account, but it is considered best practice to also store backup files "offsite", so that if your hosting account is ever compromised or unavailable, you still have access to your site's data.

What is Dropbox?

Dropbox is a "cloud-based" online backup and syncing service. It allows you to add/edit/delete files in a certain folder on your computer, and those changes are then automatically synced with and saved to your Dropbox account (and any other computers that you have installed Dropbox onto). Certain applications, like Armadillo, can also connect to your online Dropbox account to store files and perform other functions.

Saving Backups to Dropbox

After making a backup file, expand the Dropbox Integration section by clicking on the plus sign ( + ) next to that label. If your hosting account has PHP 5.3.1 or greater installed, a green "Sync Latest Backup" button will be displayed. Click that green button to start the authorization and syncing process.

If your hosting account does not have PHP 5.3.1 or greater installed, a message will be displayed indicating that your hosting account is not compatible with this feature.

Unable to find an answer?

Looking for anything specific article which resides in general queries? Just browse the various relevant folders and categories and then you will find the desired article.

Contact Us